Subject: Re: bug#59661: [PATCH 0/3] Add e2fsprogs to %base-packages-utils.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Dec 2022 16:32:35 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>>> +(define-deprecated %base-packages-disk-utilities #f '())
>>
>> ‘#f’ here would lead to weird deprecation messages.  I’d make it:
>>
>>   (define-deprecated %base-packages-disk-utilities %base-packages '())
>>
>> This is not quite accurate but it should convey the idea.
>
> I had shown an actual message example produced when using #f.  It is
> what I want (it just mentions the variable is deprecated, and doesn't
> mention a replacement -- there are none in this case).  For a quick
> reference, this is how 'warn-about-deprecation' is defined:
>
> (define* (warn-about-deprecation variable properties
>                                  #:key replacement)
>   (let ((location (and properties (source-properties->location properties))))
>     (if replacement
>         (warning location (G_ "'~a' is deprecated, use '~a' instead~%")
>                  variable replacement)
>         (warning location (G_ "'~a' is deprecated~%")
>                  variable))))
>
> So I prefer my version.

Oh I had overlooked it, sorry for the confusion.  I prefer your version
as well; LGTM!

Ludo’.